gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Interfaces.AccessibleRange

Contents

- Exported types
- Methods

Description

An interface for accessible objects containing a numeric value.

`GtkAccessibleRange` describes ranged controls for Assistive Technologies.

Ranged controls have a single value within an allowed range that can optionally be changed by the user.

This interface is expected to be implemented by controls using the following roles:

-     GTK_ACCESSIBLE_ROLE_METER

-     GTK_ACCESSIBLE_ROLE_PROGRESS_BAR

-     GTK_ACCESSIBLE_ROLE_SCROLLBAR

-     GTK_ACCESSIBLE_ROLE_SLIDER

-     GTK_ACCESSIBLE_ROLE_SPIN_BUTTON

If that is not the case, a warning will be issued at run time.

In addition to this interface, its implementers are expected to provide the correct values for the following properties:

-     GTK_ACCESSIBLE_PROPERTY_VALUE_MAX

-     GTK_ACCESSIBLE_PROPERTY_VALUE_MIN

-     GTK_ACCESSIBLE_PROPERTY_VALUE_NOW

-     GTK_ACCESSIBLE_PROPERTY_VALUE_TEXT

Since: 4.10

Synopsis

- newtype AccessibleRange = AccessibleRange (ManagedPtr AccessibleRange)
- class (GObject o, IsDescendantOf AccessibleRange o) => IsAccessibleRange o
- toAccessibleRange :: (MonadIO m, IsAccessibleRange o) => o -> m AccessibleRange

# Exported types

newtype AccessibleRange Source #

Memory-managed wrapper type.

Constructors

AccessibleRange (ManagedPtr AccessibleRange) |

#### Instances

Instances details

Eq AccessibleRange Source # |
Instance details Defined in GI.Gtk.Interfaces.AccessibleRange Methods (==) :: AccessibleRange -> AccessibleRange -> Bool Source # (/=) :: AccessibleRange -> AccessibleRange -> Bool Source #
GObject AccessibleRange Source # |
Instance details Defined in GI.Gtk.Interfaces.AccessibleRange
ManagedPtrNewtype AccessibleRange Source # |
Instance details Defined in GI.Gtk.Interfaces.AccessibleRange Methods toManagedPtr :: AccessibleRange -> ManagedPtr AccessibleRange Source #
TypedObject AccessibleRange Source # |
Instance details Defined in GI.Gtk.Interfaces.AccessibleRange Methods glibType :: IO GType Source #
HasParentTypes AccessibleRange Source # |
Instance details Defined in GI.Gtk.Interfaces.AccessibleRange
IsGValue (Maybe AccessibleRange) Source # | Convert `AccessibleRange` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Interfaces.AccessibleRange Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe AccessibleRange -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe AccessibleRange) Source #
type ParentTypes AccessibleRange Source # |
Instance details Defined in GI.Gtk.Interfaces.AccessibleRange type ParentTypes AccessibleRange = '[Accessible, Object]

class (GObject o, IsDescendantOf AccessibleRange o) => IsAccessibleRange o Source #

Type class for types which can be safely cast to `AccessibleRange`, for instance with `toAccessibleRange`.

#### Instances

Instances details

(GObject o, IsDescendantOf AccessibleRange o) => IsAccessibleRange o Source # |
Instance details Defined in GI.Gtk.Interfaces.AccessibleRange

toAccessibleRange :: (MonadIO m, IsAccessibleRange o) => o -> m AccessibleRange Source #

Cast to `AccessibleRange`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

announce, bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, notify, notifyByPspec, ref, refSink, resetProperty, resetRelation, resetState, runDispose, stealData, stealQdata, thawNotify, unref, updateNextAccessibleSibling, updatePlatformState, updateProperty, updateRelation, updateState, watchClosure.

#### Getters

getAccessibleId, getAccessibleParent, getAccessibleRole, getAtContext, getBounds, getData, getFirstAccessibleChild, getNextAccessibleSibling, getPlatformState, getProperty, getQdata.

#### Setters

setAccessibleParent, setData, setDataFull, setProperty.